Package com.io7m.idstore.protocol.admin.cb

# Record Class IdA1AdminSearchByEmailParameters

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.cb.IdA1AdminSearchByEmailParameters

Record Components:
  `fieldTimeCreatedRange` - The range of creation times for returned admins.
  `fieldTimeUpdatedRange` - The range of update times for returned admins.
  `fieldSearch` - The search query text.
  `fieldOrdering` - The result ordering.
  `fieldLimit` - The limit on the number of results.

All Implemented Interfaces:
  `com.io7m.cedarbridge.runtime.api.CBSerializableType`

public record IdA1AdminSearchByEmailParameters(IdA1TimeRange fieldTimeCreatedRange, IdA1TimeRange fieldTimeUpdatedRange, com.io7m.cedarbridge.runtime.api.CBString fieldSearch, IdA1AdminColumnOrdering fieldOrdering, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned16 fieldLimit) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType
Search parameters for admins (by email).

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdA1AdminSearchByEmailParameters(IdA1TimeRange fieldTimeCreatedRange, IdA1TimeRange fieldTimeUpdatedRange, com.io7m.cedarbridge.runtime.api.CBString fieldSearch, IdA1AdminColumnOrdering fieldOrdering, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned16 fieldLimit)`
  Creates an instance of a `IdA1AdminSearchByEmailParameters` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdA1AdminSearchByEmailParameters`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type IdA1AdminSearchByEmailParameters.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned16`
  `fieldLimit()`
  Returns the value of the `fieldLimit` record component.
  `IdA1AdminColumnOrdering`
  `fieldOrdering()`
  Returns the value of the `fieldOrdering` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldSearch()`
  Returns the value of the `fieldSearch` record component.
  `IdA1TimeRange`
  `fieldTimeCreatedRange()`
  Returns the value of the `fieldTimeCreatedRange` record component.
  `IdA1TimeRange`
  `fieldTimeUpdatedRange()`
  Returns the value of the `fieldTimeUpdatedRange` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AdminSearchByEmailParameters $x)`
  Serialize a value of type IdA1AdminSearchByEmailParameters.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdA1AdminSearchByEmailParameters

    public IdA1AdminSearchByEmailParameters(IdA1TimeRange fieldTimeCreatedRange, IdA1TimeRange fieldTimeUpdatedRange, com.io7m.cedarbridge.runtime.api.CBString fieldSearch, IdA1AdminColumnOrdering fieldOrdering, com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned16 fieldLimit)
    Creates an instance of a `IdA1AdminSearchByEmailParameters` record class.
    Parameters:
      `fieldTimeCreatedRange` - the value for the `fieldTimeCreatedRange` record component
      `fieldTimeUpdatedRange` - the value for the `fieldTimeUpdatedRange` record component
      `fieldSearch` - the value for the `fieldSearch` record component
      `fieldOrdering` - the value for the `fieldOrdering` record component
      `fieldLimit` - the value for the `fieldLimit` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, IdA1AdminSearchByEmailParameters $x) throws IOException
    Serialize a value of type IdA1AdminSearchByEmailParameters.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static IdA1AdminSearchByEmailParameters deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type IdA1AdminSearchByEmailParameters.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type IdA1AdminSearchByEmailParameters.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldTimeCreatedRange

    public IdA1TimeRange fieldTimeCreatedRange()
    Returns the value of the `fieldTimeCreatedRange` record component.
    Returns:
      the value of the `fieldTimeCreatedRange` record component

  - ### fieldTimeUpdatedRange

    public IdA1TimeRange fieldTimeUpdatedRange()
    Returns the value of the `fieldTimeUpdatedRange` record component.
    Returns:
      the value of the `fieldTimeUpdatedRange` record component

  - ### fieldSearch

    public com.io7m.cedarbridge.runtime.api.CBString fieldSearch()
    Returns the value of the `fieldSearch` record component.
    Returns:
      the value of the `fieldSearch` record component

  - ### fieldOrdering

    public IdA1AdminColumnOrdering fieldOrdering()
    Returns the value of the `fieldOrdering` record component.
    Returns:
      the value of the `fieldOrdering` record component

  - ### fieldLimit

    public com.io7m.cedarbridge.runtime.api.CBIntegerUnsigned16 fieldLimit()
    Returns the value of the `fieldLimit` record component.
    Returns:
      the value of the `fieldLimit` record component